Search groups
curl --request GET \
--url https://api.example.com/groups/search/{search}import requests
url = "https://api.example.com/groups/search/{search}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/groups/search/{search}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"content_type": "group",
"name": "Team Alpha",
"description": "<string>",
"type": "public",
"mute_rule": 123,
"has_unread_notifications": true,
"only_admin_publish": 123,
"post_comments_enabled_default": true,
"member": "<string>",
"image": {},
"auto": {},
"url": "api/groups/1",
"permissions": {
"member": "<string>",
"edit": true,
"delete": true
},
"publish": {
"updated_at": 123
},
"membership": {
"auto": true
},
"stats": {
"active": 123
}
}
]
}Groups
Search groups
Searches groups by name and returns a paginated list of matching groups visible to the authenticated user.
GET
/
groups
/
search
/
{search}
Search groups
Path Parameters
Search string to match against group names
Query Parameters
Filter groups by membership mode. member lists groups the user is a member of, available lists joinable public groups, and can_publish lists groups where the user is allowed to publish.
Available options:
member, available, can_publish Maximum number of groups per page (1–100). Defaults to 50.
Required range:
1 <= x <= 100Response
200 - application/json
Search results with matching groups.
Show child attributes
Show child attributes
⌘I